package _02_继承._03_继承当中成员变量;

public class Son extends Father {
    int num = 20;

    public void show(){
        // 在继承体系中如果打印变量名字重复
        // 他遵循就近原则, 谁离他近 他就用谁
        int num = 30;
        System.out.println(super.num);       // 父类当中成员变量
        System.out.println(this.num);  // 子类当中成员变量
        System.out.println(num);       // 子类当中局部变量
    }
}
